
function ratio=test_bisezione(esempio)

% BISEZIONE E ORDINE DI CONVERGENZA.

switch esempio
case 1
    f=inline('sin(x)-x'); % HA ZERO IN "sol=0".
    sol=0;
    a=-3; b=2;
case 2 
    f=inline('x.^2-2'); % HA ZERO IN "sqrt(2)".
    sol=sqrt(2);
    a=1; b=2;
end

tolintv=10^(-6);
tolres=10^(-6);
maxit=20;
[c,k,semilunghezza,residuopesato]=bisezione(a,b,tolintv,...
    tolres,maxit,f);

en=abs(sol-c);
e_n=en(1:end-1); % e_n=abs(sol-c_n)
e_nplus1=en(2:end);   % e_nplus1=(sol-c_n+1)

% RIDUZIONE n-SIMA ITERAZIONE.
ratio=abs(e_nplus1./e_n);


